Subject: Re: [P2PSIP] No ICE Attach offer/answer

From: Cullen Jennings <[email-masked]>
Date: Wed, 21 Jul 2010 09:55:05 -0700

Good point and bringing this up in the slides for the meeting. Will get more out to the list soon.

On May 17, 2010, at 12:14 , Michael Chen wrote:

> Hi,
> 
> In the current base-08 draft, section 5.5.1.1 has the following
> definition:
> 
>   overlay_link
>      corresponds to the OverlayLink production, Overlay Link protocols
>      used with No ICE MUST specify "no ICE" in their description.
> 
> What is "description"? My suggestion is that this sentence need NOT to
> single out no ICE. However, if one insists, this will be a good
> revision:
> 
>   overlay_link
>      corresponds to the OverlayLink production, Overlay Link protocols
>      used with No ICE MUST specify DLTS-UDP-SR-NO-ICE(3) or
> TLS-TCP-FH-NO-ICE(4).
> 
> I have a related problem. The last sentence of the "overlay_link"
> definition says:
> 
>   overlay_link
>      ...
>      A single AttachReqAns MUST NOT include both candidates whose
>      OverlayLink protocols use ICE (the default) and candidates that
>      specify "no ICE".
> 
> Section 5.5.1.11 says,
> 
>   No-ICE is selected when either side has provided "no ICE" Overlay
> Link candidates.
> 
> Peers that support ICE can also easily support No-ICE, but the above two
> requirements have these implications:
> 
> 1. In most cases, when peer A wants to Attach to peer X, peer A MUST
> decide whether to send an ICE or No-ICE while knowing nothing about X
> beyond its NodeId. It seems to me A has no choice but to send ICE
> attach.
> 
> 2. When connecting to a bootstrap node or any nodes with known public
> IP, there is no need to send the Attach message. Just do D/TLS directly
> to the nodes' IP and port number.
> 
> Then what is the use case for a No-ICE Attach?
> 
> Thanks
> 
> --Michael
> 
> _______________________________________________
> P2PSIP mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/p2psip

Cullen Jennings
For corporate legal information go to:
http://www.cisco.com/web/about/doing_business/legal/cri/index.html

---

From: Bruce Lowekamp <[email-masked]>
Date: Mon, 26 Jul 2010 07:34:51 -0700

There was an attempt in the previous revision to make ICE and No-ICE
interoperate.  I think this was a mistake and we should go with what I
think the consensus was when we adopted no-ice, which was to either
have all nodes on an overlay using ICE or all nodes not using ICE.

Bruce